Bug 486620 - Review Request: python-createrepo - Python module to create common metadata repositorys
Review Request: python-createrepo - Python module to create common metadata r...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike Bonnet
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-20 12:46 EST by Dennis Gilmore
Modified: 2009-03-19 12:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-19 12:25:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mikeb: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2009-02-20 12:46:09 EST
Spec URL: http://ausil.us/packages/python-createrepo.spec
SRPM URL: http://ausil.us/packages/python-createrepo-0.9.6-1.el5.src.rpm
Description:
A python module that will generate a common metadata repository from
a directory of rpm packages.


This is intended for EPEL only.  RHEL5's createrepo doesnt have the python module,  koji 1.3.0 requires the python module.
Comment 1 Mike Bonnet 2009-02-20 14:05:11 EST
$ rpmlint python-createrepo-0.9.6-1.el5.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint python-createrepo.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint python-createrepo-0.9.6-1.el5.noarch.rpm 
python-createrepo.noarch: E: non-executable-script /usr/lib/python2.4/site-packages/createrepo/merge.py 0644
python-createrepo.noarch: E: non-executable-script /usr/lib/python2.4/site-packages/createrepo/deltarpms.py 0644
python-createrepo.noarch: E: non-executable-script /usr/lib/python2.4/site-packages/createrepo/yumbased.py 0644
python-createrepo.noarch: E: non-executable-script /usr/lib/python2.4/site-packages/createrepo/readMetadata.py 0644
python-createrepo.noarch: E: non-executable-script /usr/lib/python2.4/site-packages/createrepo/utils.py 0644
python-createrepo.noarch: E: explicit-lib-dependency libxml2-python
1 packages and 0 specfiles checked; 6 errors, 0 warnings.

Those rpmlint errors look bogus, no reason those files should be executable.  And the dependency is on a package named libxml2-python.

Looks good to me.
Comment 2 Dennis Gilmore 2009-02-20 14:27:10 EST
Package Name: python-createrepo
Short Description: Python module to create common metadata repositories
Owners: ausil skvidal
Branches: EL-5
InitialCC:
Comment 3 Dennis Gilmore 2009-02-20 14:27:32 EST
CVS Done
Comment 4 Dennis Gilmore 2009-03-19 12:25:36 EDT
closing its in epel testing now

Note You need to log in before you can comment on or make changes to this bug.